<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::WindowCloseEvent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1WindowCloseEvent.html">WindowCloseEvent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1WindowCloseEvent-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::WindowCloseEvent Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="WindowEvent_8hpp_source.html">WindowEvent.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::WindowCloseEvent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1WindowCloseEvent.png" usemap="#gg::WindowCloseEvent_map" alt=""/>
  <map id="gg::WindowCloseEvent_map" name="gg::WindowCloseEvent_map">
<area href="classgg_1_1IEvent.html" alt="gg::IEvent" shape="rect" coords="0,0,140,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a13cc4b3127a1f7c4ac3dcbc13aa58361"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1WindowCloseEvent.html#a13cc4b3127a1f7c4ac3dcbc13aa58361">WindowCloseEvent</a> ()</td></tr>
<tr class="separator:a13cc4b3127a1f7c4ac3dcbc13aa58361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1aa852c54f1b064b8e9a6597a3f74d0a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1WindowCloseEvent.html#a1aa852c54f1b064b8e9a6597a3f74d0a">~WindowCloseEvent</a> () override=default</td></tr>
<tr class="separator:a1aa852c54f1b064b8e9a6597a3f74d0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b45e959e620747f787a7c306987834c"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1WindowCloseEvent.html#a9b45e959e620747f787a7c306987834c">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override</td></tr>
<tr class="separator:a9b45e959e620747f787a7c306987834c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#acbf64dbf915a0e0d66bce214266f8ac4">~IEvent</a> ()=default</td></tr>
<tr class="separator:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a>=0</td></tr>
<tr class="separator:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0ce169bdd9bd94235a58670a6e9d81cd">IEvent</a> ()=default</td></tr>
<tr class="separator:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a13cc4b3127a1f7c4ac3dcbc13aa58361" name="a13cc4b3127a1f7c4ac3dcbc13aa58361"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13cc4b3127a1f7c4ac3dcbc13aa58361">&#9670;&nbsp;</a></span>WindowCloseEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::WindowCloseEvent::WindowCloseEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1aa852c54f1b064b8e9a6597a3f74d0a" name="a1aa852c54f1b064b8e9a6597a3f74d0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1aa852c54f1b064b8e9a6597a3f74d0a">&#9670;&nbsp;</a></span>~WindowCloseEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::WindowCloseEvent::~WindowCloseEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9b45e959e620747f787a7c306987834c" name="a9b45e959e620747f787a7c306987834c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b45e959e620747f787a7c306987834c">&#9670;&nbsp;</a></span>GetEventType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::WindowCloseEvent::GetEventType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">gg::IEvent</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/events/<a class="el" href="WindowEvent_8hpp_source.html">WindowEvent.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
